#ifndef __MSG_H__
#define __MSG_H__



#define MSG_MAX_NUM           6

   

typedef struct tagMSG
{
	unsigned char msgId;
	unsigned char param;
}MSG, *PMSG;
    
typedef struct tagMSGQUEUE
{
	unsigned char cRd;
	unsigned char cWr;
	MSG   msg[MSG_MAX_NUM];
}MSGQUEUE, *PMSGQUEUE;


void InitMsgqueue(void);
void PushMsg(PMSG pmsg);
void GetMsg(PMSG pmsg);
void ClrMsg(void);

#endif


